EDIT - feature request #4866

Implement clone method for complete classifications
04/30/2015 10:13 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.18

Severity: critical

Description

For the Concept Relationship Editor we may need to be able to clone classifications (create new versions of a classification).

We need cdmlib functionality to allow this.
Configuration parameters might be:

® reuse taxa
if reuse taxa = false:

® reuse names

e create congruent taxon relationships

o with doubtful flag

* new sec reference for taxa
¢ clone descriptive data

e clone synonyms

Blocking editor implementation: #4867 (please activate ticket after fix)

Related issues:

Blocks EDIT - feature request #4867: Add menu item for subtree cloning
Blocks EDIT - task #9228: Adaptations to allow editing Centaurea in Flora of ...
Copied to EDIT - bug #9349: Open issues for classification cloning

In Progress
In Progress
New

Associated revisions

Revision 355c¢89cb - 11/06/2016 01:00 PM - Patrick Plitzner

ref #4866 First implementation for clone classification (including test)

Revision 7313273 - 11/06/2016 01:00 PM - Patrick Plitzner

ref #4866 Create new description set when cloning taxon (avoid
HibernateException)

Revision 7d8eced5 - 11/06/2016 01:00 PM - Patrick Plitzner

ref #4866 Test for first implementation for clone classification

Revision 66e8ec64 - 11/06/2016 02:22 PM - Patrick Plitzner

ref #4866 Fix transient object exception

e fixed typo

Revision 9181133 - 11/08/2016 10:26 AM - Patrick Plitzner
ref #4866 Set sec reference for taxa when cloning classification

Revision 59174ab0 - 12/01/2020 01:28 PM - Andreas Miiller

ref #4866, ref #9228 implement subtree clone in branch

Revision e04ce4b2 - 12/01/2020 06:33 PM - Andreas Miiller
ref #4866, ref #9228 implement subtree clone

Revision 67518a48 - 12/01/2020 07:19 PM - Andreas Miiller

ref #4866, ref #9228 implement subtree clone (cont., fix taxon cloning)

Revision 81658368 - 12/01/2020 07:28 PM - Andreas Miiller

ref #4866, ref #9228 fix test and use referenceDao instead of refService internally

Revision 32aa5af0 - 12/01/2020 07:45 PM - Andreas Miiller
ref #4866, ref #9228 add references for test

Revision 2b75e024 - 12/01/2020 08:01 PM - Andreas Miiller
ref #4866, ref #9228 try to fix NameServicelmplTest in suite

Revision 9d1786e4 - 12/01/2020 08:06 PM - Andreas Miiller
ref #4866, ref #9228 try to fix further test in suite

Revision 77ad5e8c - 12/01/2020 08:36 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 0b79f873 - 12/01/2020 08:41 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 77f6a14a - 12/01/2020 08:45 PM - Andreas Miiller
ref #4866, ref #9228 fix CloneClassificationOperation preliminary in TaxEditor

Revision 11e38aae - 12/02/2020 04:12 PM - Andreas Miiller

ref #9228 , ref #4866 some fixes for subtree cloning

History

#1 - 05/06/2015 11:55 AM - Andreas Miiller
- Target version set to cdmlib RELEASE 3.5.2

#2 - 12/18/2015 12:42 PM - Andreas Miiller
- Target version changed from cdmlib RELEASE 3.5.2 to Release 4.0

#3 - 05/02/2016 03:06 PM - Andreas Miiller

- Target version changed from Release 4.0 to Release 4.1

#4 - 05/27/2016 03:54 PM - Andreas Miiller

- Subject changed from Implement clone method for classifications to Implement clone method for complete classifications

#5 - 06/01/2016 01:23 PM - Andreas Miller

- Target version changed from Release 4.1 to Release 4.2

#6 - 07/06/2016 03:23 PM - Andreas Miiller

- Target version changed from Release 4.2 to Release 4.3

#7 - 09/26/2016 09:55 AM - Andreas Miiller

- Target version changed from Release 4.3 to Release 4.4
#8 - 12/01/2016 02:32 PM - Andreas Miiller

- Description updated

- Status changed from New to In Progress

- Target version changed from Release 4.4 to Release 4.5

- % Done changed from 0 to 40

This is partly and only needs review and probably some improvements.

#9 - 01/19/2017 01:22 PM - Andreas Miller

- Target version changed from Release 4.5 to Release 4.6

#10 - 01/19/2017 01:45 PM - Andreas Miiller

- Blocks feature request #4867: Add menu item for subtree cloning added

#11 - 03/17/2017 08:15 AM - Andreas Miuiller

- Target version changed from Release 4.6 to Release 4.7

#12 - 03/17/2017 08:20 AM - Andreas Miiller

- Private changed from Yes to No

#13 - 05/17/2017 01:49 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#14 - 07/06/2017 10:50 PM - Andreas Miiller

- Target version changed from Release 4.8 to Release 4.9

#15 - 07/21/2017 10:13 AM - Andreas Miuiller

- Target version changed from Release 4.9 to Release 4.10

#16 - 09/25/2017 03:24 PM - Andreas Miiller

- Tags set to redlist

#17 - 09/25/2017 10:20 PM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#18 - 11/08/2017 11:26 AM - Andreas Muiller

- Target version changed from Release 4.11 to Release 4.12

#19 - 12/05/2017 02:05 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#20 - 01/31/2018 12:50 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#21 - 02/15/2018 03:39 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#22 - 05/14/2018 11:35 PM - Andreas Miiller

- Target version changed from Release 5.0 to Release 5.1

#23 - 06/27/2018 02:30 PM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#24 - 08/17/2018 04:03 PM - Andreas Miiller

- Target version changed from Release 5.2 to Release 5.3
#25 - 09/06/2018 10:01 AM - Andreas Miiller

- Target version changed from Release 5.3 to Release 5.5

#26 - 02/14/2019 10:33 PM - Andreas Miiller

- Target version changed from Release 5.5 to Release 5.6

#27 - 02/19/2019 05:03 PM - Andreas Miiller

- Target version changed from Release 5.6 to Reviewed Next Major Release

#28 - 12/01/2020 07:02 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.18

this is a blocker for #9228

#29 - 12/01/2020 07:02 PM - Andreas Miiller
- Blocks task #9228: Adaptations to allow editing Centaurea in Flora of Greece added

#30 - 12/04/2020 04:35 PM - Andreas Miiller
- Status changed from In Progress to Closed

- % Done changed from 40 to 100

This is implemented so far (tested for Centaurea/FoG on command line) with some open issues.

#31 - 12/04/2020 04:37 PM - Andreas Miiller
- Copied to bug #9349: Open issues for classification cloning added
